package com.fs.watch.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 家人腕表配置对象 watch_family_user
 *
 * @author fs
 * @date 2024-12-05
 */
public class WatchFamilyUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 腕表用户id */
    @Excel(name = "腕表用户id")
    private Long watchUserId;

    /** 电话 */
    @Excel(name = "电话")
    private String phone;

    /** 性别 0:未知 1:男 2:女 */
    @Excel(name = "性别 0:未知 1:男 2:女")
    private Integer sex;

    /** 生日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /** 身高(单位:厘米) */
    @Excel(name = "身高(单位:厘米)")
    private Integer height;

    /** 体重(单位:千克) */
    @Excel(name = "体重(单位:千克)")
    private Integer weight;

    /** 目标步数 */
    @Excel(name = "目标步数")
    private String targetStep;

    /** 目标卡路里 */
    @Excel(name = "目标卡路里")
    private String targetCalorie;

    /** 目标活动时长 */
    @Excel(name = "目标活动时长")
    private String targetActivity;

    /** 目标锻炼时长 */
    @Excel(name = "目标锻炼时长")
    private String targetSport;

    /** 预警设备id(自己) */
    @Excel(name = "预警设备id(自己)")
    private String deviceId;

    /** 监测数据类型排序 */
    @Excel(name = "监测数据类型排序")
    private String monitorDataTypeOrder;

    /** $column.columnComment */
    @Excel(name = "监测数据类型排序")
    private Integer isDel;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setWatchUserId(Long watchUserId)
    {
        this.watchUserId = watchUserId;
    }

    public Long getWatchUserId()
    {
        return watchUserId;
    }
    public void setSex(Integer sex)
    {
        this.sex = sex;
    }

    public Integer getSex()
    {
        return sex;
    }
    public void setBirthday(Date birthday)
    {
        this.birthday = birthday;
    }

    public Date getBirthday()
    {
        return birthday;
    }
    public void setHeight(Integer height)
    {
        this.height = height;
    }

    public Integer getHeight()
    {
        return height;
    }
    public void setWeight(Integer weight)
    {
        this.weight = weight;
    }

    public Integer getWeight()
    {
        return weight;
    }
    public void setTargetStep(String targetStep)
    {
        this.targetStep = targetStep;
    }

    public String getTargetStep()
    {
        return targetStep;
    }
    public void setTargetCalorie(String targetCalorie)
    {
        this.targetCalorie = targetCalorie;
    }

    public String getTargetCalorie()
    {
        return targetCalorie;
    }
    public void setTargetActivity(String targetActivity)
    {
        this.targetActivity = targetActivity;
    }

    public String getTargetActivity()
    {
        return targetActivity;
    }
    public void setTargetSport(String targetSport)
    {
        this.targetSport = targetSport;
    }

    public String getTargetSport()
    {
        return targetSport;
    }
    public void setDeviceId(String deviceId)
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId()
    {
        return deviceId;
    }
    public void setMonitorDataTypeOrder(String monitorDataTypeOrder)
    {
        this.monitorDataTypeOrder = monitorDataTypeOrder;
    }

    public String getMonitorDataTypeOrder()
    {
        return monitorDataTypeOrder;
    }
    public void setIsDel(Integer isDel)
    {
        this.isDel = isDel;
    }

    public Integer getIsDel()
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("watchUserId", getWatchUserId())
            .append("phone", getPhone())
            .append("sex", getSex())
            .append("birthday", getBirthday())
            .append("height", getHeight())
            .append("weight", getWeight())
            .append("targetStep", getTargetStep())
            .append("targetCalorie", getTargetCalorie())
            .append("targetActivity", getTargetActivity())
            .append("targetSport", getTargetSport())
            .append("deviceId", getDeviceId())
            .append("monitorDataTypeOrder", getMonitorDataTypeOrder())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .toString();
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
}
